{pkgs, ...}: {
  cachix.enable = false;

  pre-commit.hooks = {
    alejandra.enable = true;
    deadnix.enable = true;
  };

  packages = with pkgs; [alejandra deadnix nil zsh];

  languages.rust = {
    enable = true;
    # https://devenv.sh/reference/options/#languagesrustchannel
    channel = "nightly";

    components = ["rustc" "cargo" "clippy" "rustfmt" "rust-analyzer"];
  };

  scripts = {
    update-vscode-extensions.exec = "zsh ./scripts/get-vscodium-version/main.sh";
  };
}
